@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    background-color: #f9f9f9;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}
.white {
    color: #fff;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }





.card {
    padding-bottom: 10px;
    background-color: white;
    border-radius: 8px;
}

.center-vertically {
    display: flex;
    align-items: center;
    justify-content: center;
    /*min-height: 100vh;*/ /* Set a minimum height of the viewport height */
    /*background-color: lightgray;*/ /* Optional: Add a light gray background color */
}







/*CUSTOM*/

.data-categories-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-items: flex-start;
    /*justify-content: center;*/
}

.scrollable-list {
    max-height: 400px;
    min-height: 100px;
    /*height: 300px;*/
    /*    max-width: 600px;
    min-width: 150px;*/
    overflow-y: scroll;
    padding: 1em;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    margin-bottom: 1em;
}

.rounded-corners-background {
    border-radius: 25px;
    background: #D3D3D3;
    padding: 20px;
}

.rounded-corners {
    border-radius: 25px;
    border: 2px solid #D3D3D3;
    padding: 20px;
}

.vertical-center {
    position: relative;
    top: 50%;
    -ms-transform: translateY(-50%);
    transform: translateY(-50%);
}

.individualHeight {
    height: 100%;
}

.horizontal-center {
    align-content: center;
    text-align: center;
}

.color-gray {
    background-color: #34495e;
}

.color-gray-dark {
    background-color: #293a4a;
}

.btn-primary {
    color: #fff;
    background-color: #34495e;
    border-color: #357ebd; /*set the color you want here*/
}

    .btn-primary:hover, .btn-primary:focus, .btn-primary:active, .btn-primary.active, .open > .dropdown-toggle.btn-primary {
        color: #fff;
        background-color: #293a4a;
        border-color: #1d3a54; /*set the color you want here*/
    }


.selected {
    background-color: #aaddaa; /* or any color you prefer */
}

/*InputSelect*/
:root {
    --background-gradient: linear-gradient(30deg, #f39c12 30%, #f1c40f);
    --gray: #34495e;
    --darkgray: #2c3e50;
}

select {
    /* Reset Select */
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    appearance: none;
    outline: 0;
    border: 0;
    box-shadow: none;
    /* Personalize */
    flex: 1;
    padding: 0 1em;
    color: #fff;
    background-color: var(--darkgray);
    background-image: none;
    cursor: pointer;
}
    /* Remove IE arrow */
    select::-ms-expand {
        display: none;
    }
/* Custom Select wrapper */
.select {
    position: relative;
    display: flex;
    width: 20em;
    height: 3em;
    border-radius: .25em;
    overflow: hidden;
}
    /* Arrow */
    .select::after {
        content: '\25BC';
        position: absolute;
        top: 0;
        right: 0;
        padding: 1em;
        background-color: #34495e;
        transition: .25s all ease;
        pointer-events: none;
    }
    /* Transition */
    .select:hover::after {
        color: #23b499;
    }



/*line Title*/
.text-line {
    display: flex;
    align-items: center;
    justify-content: center;
    text-transform: uppercase;
}

    .text-line:after, .text-line:before {
        content: '';
        width: 150px;
        height: 2px;
        background: black;
        margin: 0 10px;
    }



.subList {
    margin-top: -15px;
}



.header-wrapper {
    display: grid;
    grid-template-columns: 1fr auto ; /* Three columns: first takes the remaining space, second adjusts based on content, third adjusts based on content */
    align-items: center; /* Align the items vertically at the center */
    justify-content: space-between; /* Align the columns to the left, center, and right respectively */
    gap: 10px; /* Add some gap between the columns */
}








/* Info Button */
/* Style for Information Button */
.info-button {
    position: relative;
}

    .info-button label {
        font-size: 20px;
        cursor: pointer;
    }

    /* Hide the checkbox input */
    .info-button input[type="checkbox"] {
        display: none;
    }

/* Style for Information Pop-up */
.info-popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 9999; /* Make sure the overlay is on top of everything else */
}

.info-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 90%;
    padding: 20px;
    background-color: white;
    border-radius: 8px;
    text-align: center;
}

/* Adjusted style for smaller screens */
@media only screen and (max-width: 768px) {
    .info-content {
        min-width: 90%; /* You can adjust this to whatever value you feel is optimal */
    }
}

.close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    /*font-size: 24px;*/
    font-size: 2em;
    cursor: pointer;
}

/* Show the pop-up when the checkbox is checked */
.info-button input[type="checkbox"]:checked + .info-popup {
    display: block;
}



/* Style for Information Pop-up Overlay */
.info-popup-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    z-index: 9998; /* Make sure the overlay is on top of everything else except popup */
}

/* Show the overlay and pop-up when the checkbox is checked */
.info-button input[type="checkbox"]:checked + .info-popup-overlay {
    display: block;
}

/* Disable pointer events on other elements when the pop-up is open */
.info-button input[type="checkbox"]:checked ~ *:not(.info-popup) {
    pointer-events: none;
}





.timeline {
    position: relative;
    width: 100%;
    height: 60px; /* Adjust the height as per your design */
    /*background-color: lightgray;*/ /* Optional: Set a background color for the timeline */
    display: flex; /* Use flexbox */
    padding-bottom:10px;
}

.timeline-item {
    /*flex: 1;*/ /* Let the items take equal space */
    /*background-color: #007bff;*/
    color: #fff;
    padding: 10px;
    border: 1px solid #ccc;
    margin-bottom: 5px;
    border-radius: 0; /* Reset the border-radius for all timeline items */
}

/* Add rounded corners for the leftmost and rightmost timeline items */
.timeline-item.rounded-left {
    border-top-left-radius: 15px;
    border-bottom-left-radius: 15px;
}

.timeline-item.rounded-right {
    border-top-right-radius: 15px;
    border-bottom-right-radius: 15px;
}




.parent-timeline {
    position: relative;
    width: 100%;
    height: 30px; 
    display: flex; 
}

.parent-timeline-item {
    position: relative;
    background-color: black;
    height: 10%;
    text-align: center;
    text-align: center;
    white-space: nowrap;
    padding: 0 5px;
    font-weight: bold;
}

    /* Add the left and right circle dividers */
    .parent-timeline-item::before,
    .parent-timeline-item::after {
        content: '';
        position: absolute;
        top: 50%;
        width: 10px;
        height: 10px;
        border-radius: 50%;
        background-color: black; /* Set a color for the circle dividers */
        transform: translateY(-50%);
    }

    .parent-timeline-item::before {
        left: 0; /* Position the left circle at the beginning */
    }

    .parent-timeline-item::after {
        right: 0; /* Position the right circle at the end */
    }

    /* Position the circles based on the percentage width */
    /*.parent-timeline-item[data-parent]::before {
        left: calc(-5px + (var(--left-percentage) * 100%));*/ /* Adjust the left position */
    /*}

    .parent-timeline-item[data-parent]::after {
        right: calc(-5px + (var(--right-percentage) * 100%));*/ /* Adjust the right position */
    /*}*/
